Results 1 to 2 of 2

Thread: HOWTO: Installing Code::Blocks 10.05 in Lucid and Karmic.

  1. #1
    Join Date
    Feb 2007
    Location
    St. Louis, MO
    Beans
    4,917
    Distro
    Ubuntu 12.04 Precise Pangolin

    HOWTO: Installing Code::Blocks 10.05 in Lucid and Karmic.

    Hello all.

    I was trying to install Code::Blocks on my Lucid install. The version in the repos is old and I wanted to get the latest version I did some Googling with no success.

    After messing around I was able to get the 10.05 version of Code::Blocks installed.

    Apparently you need at least 2.8.10 of libwxgtk2.8-0. Lucid and Karmic have these packages.

    First install the package:

    Code:
    sudo apt-get install libwxgtk2.8-0
    Then grab the binary of Code::Blocks from the website. These are pre-compiled .deb packages for Code::Blocks.

    32bit
    http://sourceforge.net/projects/code...n-i386.tar.bz2

    64bit
    http://sourceforge.net/projects/code...-amd64.tar.bz2

    Unpack the archive, navigate to the folder where the .deb packages reside, and then from the terminal do the following:
    Code:
    sudo dpkg -i *.deb
    You now have the latest version of Code::Blocks for Lucid or Karmic.

    Hope this helps.
    Last edited by stchman; February 17th, 2011 at 01:47 AM.
    Windows XP - Excellent computer virus detector.
    Windows Vista - Most bloat for the money.

    Visit my Ubuntu Resource Website http://www.stchman.com

  2. #2
    Join Date
    Jul 2009
    Location
    Middle earth
    Beans
    72

    Re: HOWTO: Installing Code::Blocks 10.05 in Lucid and Karmic.

    Worked for me. Cheers!!=D>
    If I have the belief that I can do it,
    I shall surely acquire the capacity to do it,
    even if I may not have it at the beginning.
    ~M.K. Gandhi

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •